Summary: A version of the MIT Athena widget set for X
Name: Xaw3d
Version: 1.6.4
Release: 3%{?dist}
License: MIT
URL: http://xorg.freedesktop.org/
Source0: https://xorg.freedesktop.org/archive/individual/lib/libXaw3d-%{version}.tar.xz
Patch3000: Xaw3d-1.6.1-3Dlabel.patch
Patch3001: Xaw3d-1.6.1-fontset.patch
Patch3002: Xaw3d-1.6.1-hsbar.patch

BuildRequires: make, bison, flex, ed
BuildRequires: libXmu-devel, libXt-devel, libSM-devel, libXext-devel, libX11-devel, libXpm-devel, xorg-x11-util-macros

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

%package devel
Summary: Header files and libraries for development using Xaw3d
Requires: %{name} = %{version}-%{release}
Requires: libXmu-devel
Requires: libXt-devel
Requires: libSM-devel
Requires: libXext-devel
Requires: libX11-devel
Requires: libXpm-devel

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and libraries for developing programs that take full
advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.


%prep
%autosetup -p1 -n libXaw3d-%{version}



%build
%configure --disable-static \
  --enable-arrow-scrollbars \
  --enable-gray-stipples \
  --enable-multiplane-bitmaps
%make_build


%install
%make_install
rm %{buildroot}%{_libdir}/libXaw3d.la
rm -r %{buildroot}%{_docdir}



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYING
%doc ChangeLog README.md src/README.XAW3D
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/xaw3d.pc
%{_includedir}/X11/Xaw3d



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 02 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.6.4-1
- initial
